package com.axis.innovators.box;

import com.axis.innovators.box.tools.FolderCleaner;
import com.axis.innovators.box.tools.FolderCreator;
import com.axis.innovators.box.register.LanguageManager;

import java.util.Arrays;

/**
 * @author tzdwindows 7
 */
public class Main {
    public static void main(String[] args) {
        FolderCleaner.cleanFolder(FolderCreator.getLogsFolder(), 10);

        LanguageManager.loadSavedLanguage();
        if (LanguageManager.getLoadedLanguages() == null){
            LanguageManager.loadLanguage("system:zh_CN");
        }

        System.out.println(Arrays.toString(args));
        AxisInnovatorsBox.run(args);
    }
}
